#include <gtk/gtk.h>
#include <string.h>
#include "interface.h"

extern float x_rot;
extern float y_rot;
extern float z_rot;
extern char player_names[2][20];
extern float angle_rate;
extern int max_points;

void delete_rot_window(GtkWidget *settings_box, 
		       GtkWidget **window)
{
  *window = NULL;
}

void update_x_rot(GtkWidget *widget, 
		  GtkAdjustment *adj)
{
  x_rot = adj->value; 
}

void update_y_rot(GtkWidget *widget, 
		  GtkAdjustment *adj)
{
  y_rot = adj->value; 
}

void update_z_rot(GtkWidget *widget, 
		  GtkAdjustment *adj)
{
  z_rot = adj->value; 
}

void update_dist(GtkWidget *widget, 
		 GtkAdjustment *adj)
{
  //howfar = adj->value; 
}

void delete_settings_window(GtkWidget *settings_box, 
			    GtkWidget **window)
{
  *window = NULL;
}

void change_name_player1(GtkWidget *widget, 
			 GtkWidget *entry)
{
  char *entry_text;
  entry_text = gtk_entry_get_text(GTK_ENTRY(entry));
  strcpy(player_names[0],entry_text);
}

void change_name_player2(GtkWidget *widget, 
			 GtkWidget *entry)
{
  char *entry_text;
  entry_text = gtk_entry_get_text(GTK_ENTRY(entry));
  strcpy(player_names[1],entry_text);
}

void update_angle_rate(GtkWidget *widget,
		       GtkSpinButton *spin_button)
{
  angle_rate = gtk_spin_button_get_value_as_float(spin_button);
}


void update_max_points(GtkWidget *widget,
		       GtkSpinButton *spin_button)
{
  max_points = gtk_spin_button_get_value_as_int(spin_button);
}

void delete_about_window(GtkWidget *about_box, GtkWidget **window)
{
  gtk_widget_destroy(about_box);
  *window=NULL;
}
